client.stub.irepositorytac

## Class DocumentIdsDTO.IdList

- java.lang.Object
- - client.stub.irepositorytac.DocumentIdsDTO.IdList

- Enclosing class:
    DocumentIdsDTO

      public static class DocumentIdsDTO.IdList
      extends Object

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="id" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getId()` Gets the value of the id property.
    `String` | `toString()` Generates a String representation of the contents of this type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected List<String> id

  - ### Constructor Detail

    - #### IdList

          public IdList()

  - ### Method Detail

    - #### getId

          public List<String> getId()

      Gets the value of the id property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the id property.

      For example, to add a new item, do as follows:

              getId().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### toString

          public String toString()

      Generates a String representation of the contents of this type. This is an extension method, produced by the 'ts' xjc plugin
      Overrides:
        `toString` in class `Object`

Copyright © 2024. All rights reserved.